VersionMessage (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Class VersionMessage

- java.lang.Object
- - com.marketfactory.messaging.VersionMessage

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<VersionMessage>

      public final class VersionMessage
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<VersionMessage>, java.io.Serializable

  A message that describes meta-data about the process generating it. This is used as a preamble to all our logfiles (this information can be pulled out with a Python script), and as a hand-shake between clients and servers, for version identification.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `arch`
    `java.lang.String` | `branch`
    `java.lang.String` | `build`
    `java.lang.String` | `builduser`
    `java.lang.String` | `commitdate`
    `java.lang.String` | `compiler`
    `java.lang.String` | `date`
    `java.lang.String` | `defines`
    `java.lang.String` | `distribution`
    `java.lang.String` | `extra1` The internal protocol.
    `java.lang.String` | `extra2` The PID of the writer process.
    `java.lang.String` | `extra3` The API implementation language.
    `java.lang.String` | `extra4`
    `java.lang.String` | `extra5`
    `java.lang.String` | `host`
    `static int` | `ID`
    `java.lang.String` | `platform`
    `java.lang.String` | `program`
    `java.lang.String` | `protosig` The API protocol.
    `java.lang.String` | `revision`
    `int` | `syncSize`
    `java.lang.String` | `time`
    `java.lang.String` | `version_extra`
    `byte` | `version_major`
    `byte` | `version_micro`
    `byte` | `version_minor`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `VersionMessage()`
    `protected` | `VersionMessage(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VersionMessage rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### program

          public java.lang.String program

    - #### version_major

          public byte version_major

    - #### version_minor

          public byte version_minor

    - #### version_micro

          public byte version_micro

    - #### version_extra

          public java.lang.String version_extra

    - #### revision

          public java.lang.String revision

    - #### commitdate

          public java.lang.String commitdate

    - #### branch

          public java.lang.String branch

    - #### build

          public java.lang.String build

    - #### arch

          public java.lang.String arch

    - #### host

          public java.lang.String host

    - #### date

          public java.lang.String date

    - #### time

          public java.lang.String time

    - #### compiler

          public java.lang.String compiler

    - #### defines

          public java.lang.String defines

    - #### builduser

          public java.lang.String builduser

    - #### distribution

          public java.lang.String distribution

    - #### platform

          public java.lang.String platform

    - #### protosig

          public java.lang.String protosig

      The API protocol.

    - #### syncSize

          public int syncSize

    - #### extra1

          public java.lang.String extra1

      The internal protocol.

    - #### extra2

          public java.lang.String extra2

      The PID of the writer process.

    - #### extra3

          public java.lang.String extra3

      The API implementation language.

    - #### extra4

          public java.lang.String extra4

    - #### extra5

          public java.lang.String extra5

    - #### ID

          public static final int ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VersionMessage

          public VersionMessage()

    - #### VersionMessage

          protected VersionMessage(ProtoByteBuffer buffer)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(VersionMessage rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<VersionMessage>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)